#include <modbus/ModbusFramer.h>
#include <modbus/ModbusParser.h>

extern "C" SOFTBUS_PLUGIN_API softbus::core::IFramer* create_framer()
{
    return new modbus::ModbusFramer();
}

extern "C" SOFTBUS_PLUGIN_API void destroy_framer(softbus::core::IFramer* framer)
{
    delete framer;
}

extern "C" SOFTBUS_PLUGIN_API softbus::core::IParser* create_parser()
{
    return new modbus::ModbusParser();
}

extern "C" SOFTBUS_PLUGIN_API void destroy_parser(softbus::core::IParser* parser)
{
    delete parser;
}
